import CardActionArea, {
  CardActionAreaProps,
} from '@material-ui/core/CardActionArea'
import CardContent from '@material-ui/core/CardContent'
import { withStyles } from '@material-ui/core/styles'
import React from 'react'

const CardBase = withStyles({
  root: {
    background: 'var(--greyLinearGradientBackground)',
    boxSizing: 'border-box',
    boxShadow: '0px 4px 16px black',
    borderRadius: '4px',
    padding: '0.5rem 1rem',
    minHeight: '72px',
  },
})(CardActionArea) as React.FC<CardActionAreaProps>

const CardContentBase = withStyles({
  root: {
    color: 'white',
    height: '100%',
    padding: 0,
  },
})(CardContent) as React.FC<CardActionAreaProps>

const StyledEcogestureCard = ({ children, ...props }: CardActionAreaProps) => {
  return (
    <CardBase {...props}>
      <CardContentBase>{children}</CardContentBase>
    </CardBase>
  )
}

export default StyledEcogestureCard
