import { render } from '@testing-library/react'
import Connection from 'components/Connection/Connection'
import { FluidType } from 'enums'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'

jest.mock('components/Connection/EPGLConnect/EpglInit', () => 'mock-EpglInit')
jest.mock('components/Connection/GRDFConnect/GrdfInit', () => 'mock-GrdfInit')

describe('Connection component test', () => {
  const store = createMockEcolyoStore()
  it('should call GrdfInit', () => {
    const { container } = render(
      <Provider store={store}>
        <Connection fluidType={FluidType.GAS} />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })

  it('should call EpglInit', () => {
    const { container } = render(
      <Provider store={store}>
        <Connection fluidType={FluidType.WATER} />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })
})
