import { createTheme } from '@material-ui/core'

export const theme = createTheme({
  palette: {
    type: 'dark',
    primary: {
      main: '#F1C017',
      '500': '#579eff',
    },
    secondary: {
      main: '#F1C017',
    },
  },
  typography: { fontFamily: ['Lato'].join(',') },
  overrides: {
    MuiButton: {
      root: {
        height: 40,
      },
      sizeSmall: {
        height: 32,
      },
      sizeLarge: {
        height: 40,
      },
    },
    MuiLinearProgress: {
      determinate: {
        height: 6,
        borderRadius: 5,
        backgroundColor: 'transparent',
      },
      barColorPrimary: {
        backgroundColor: '#e3b82a',
      },
    },
    MuiInputBase: {
      input: {
        color: '#e0e0e0',
      },
    },
    MuiCheckbox: {
      root: {
        padding: 0,
      },
    },
  },
})
